System.Web 2.0.0.0 System.Web.UI.Html32TextWriter

Compact HTML, or cHTML, is a subset of HTML 2.0, HTML 3.2, and HTML 4.0, and is designed to render on devices with limited memory and CPU power, along with small display screens, limited formatting capabilities, and a limited number of input options (such as a cell phone touch pad). Therefore, cHTML does not support the following:

JPEG images.

Tables.

Image maps.

Multiple character fonts and styles.

Background colors and images.

Frames.

Style sheets.

The class derives from the class and much of its functionality is provided by the and the base class for all markup text writers, which is the class.

Writes a series of cHTML-specific characters and text to the output stream of an ASP.NET server control. The class provides formatting capabilities that ASP.NET server controls use when rendering cHTML content to clients.

- Constructor

  The class has two constructors, which is standard for all classes that derive directly or indirectly from the class.

  The constructor, which takes an instance of the class as a parameter, calls the second constructor and passes it two parameter values:

  The .

  The string value that is specified in the field, which defines the tab spacing that is used by the XHTML text writer.

  Initializes a new instance of the class that uses the constant to indent lines.

  The that renders the markup content.
  2.0.0.0
- Constructor

  The constructor, which takes both an instance of the class and a string as parameters, calls the constructor that takes the same parameters when it creates an instance of the class.

  Initializes a new instance of the class with the specified line indentation.

  The that renders the markup content.
  The number of spaces defined in the .
  2.0.0.0
- Method
  System.Void `` ``

  The method adds an attribute to a cHTML element. The recognized attribute is stored in the recognized attributes collection of the object that is referenced by the property.

  Adds an attribute to a cHTML element of the object.

  The cHTML element to add the attribute to. The attribute to add to . 2.0.0.0
- Property
  System.Collections.Hashtable To be added.

  The following list shows the globally suppressed attributes that are set when a new instance of the class is created.

  onclick

  onmousemove

  ondblclick

  onmouseout

  onmousedown

  onkeypress

  onmouseup

  onkeydown

  onmouseover

  onkeyup

  Gets a object of globally suppressed attributes that cannot be rendered on cHTML elements.

  2.0.0.0
- Method
  System.Boolean `` `` ``

  By default, the method prevents globally suppressed attributes that are listed in the property and element-specific, suppressed attributes that are listed in the property from being written to the output stream. You can override the behavior of the method in classes that are derived from the class.

  Determines whether the specified cHTML attribute and its value are rendered to the requesting page. You can override the method in classes that derive from the class to filter out attributes that you do not want to render on devices that support cHTML.

  true to write the attribute and its value to the output stream; otherwise, false.

  The cHTML attribute to render. The value assigned to . The associated with . 2.0.0.0
- Method
  System.Boolean `` `` `` To be added.

  The method returns false when is equal to the field and the value is "line-through".

  Determines whether the specified cHTML markup style attribute and its value can be rendered to the current markup element.

  true if the style can be rendered; otherwise, false.

  A string containing the value that is assigned to . The associated with . 2.0.0.0
- Method
  System.Boolean `` `` To be added.

  If the cHTML element is a span element, the method returns false. For all other tags, it returns true.

  Determines whether the specified cHTML markup element is rendered to the requesting page.

  true if the specified cHTML markup element can be rendered; otherwise, false.

  A string containing the name of the cHTML element to render. 2.0.0.0
- Property
  System.Collections.Hashtable To be added.

  Use the method to add recognized attributes to the recognized attributes collection.

  Gets a object of recognized attributes that could be rendered on cHTML elements.

  2.0.0.0
- Method
  System.Void `` ``

  The method removes an attribute from a cHTML element. The recognized attribute is removed from the recognized attributes collection of the object that is referenced by the property.

  Removes an attribute of a cHTML element of the object.

  The cHTML element to remove an attribute from. The attribute to remove from . 2.0.0.0
- Property
  System.Collections.Hashtable To be added.

  Use the method to add attributes to the suppressed attributes collection.

  The following list shows the default suppressed attributes that are set for a div element when a new instance of the class is created.

  accesskey

  gridlines

  cellspacing

  rules

  cellpadding

  The following list shows the default suppressed attributes that are set for a span element when a new instance of the class is created.

  cellspacing

  gridlines

  cellpadding

  rules

  Gets a object of user-specified suppressed attributes that are not rendered on cHTML elements.

  2.0.0.0
- Method
  System.Void

  Use the method to insert a line break into a stream of cHMTL.

  Writes a br element to the cHTML output stream.

  2.0.0.0
- Method
  System.Void ``

  If the text parameter passed into the method is null or has a length of zero, then nothing is written.

  Use the method when a string contains angle brackets (< or >) or an ampersand (&) and you want to ensure that they are rendered correctly on the requesting device.

  The method uses the base class's method.

  Encodes the specified text for the requesting device, and then writes it to the output stream.

  The text string to encode and write to the output stream. 2.0.0.0